package com.bjsxt.dao.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;

import com.bjsxt.commons.JdbcUtil;
import com.bjsxt.dao.DepartmentsDao;
import com.bjsxt.pojo.Departments;

public class DepartmentsDaoImpl implements DepartmentsDao {

	@Override
	public List<Departments> selectDeptByname(String deptName) {
		Connection conn=null;
		PreparedStatement ps = null;
		ResultSet rs = null;
		List<Departments> list = new ArrayList<>();
		try {
			conn = JdbcUtil.getConnection();
			
			ps = conn.prepareStatement("select * from departments where department_name=?");
			ps.setString(1, deptName);
			rs = ps.executeQuery();
			while(rs.next()) {
				Departments d = new Departments();
				d.setDepartmentId(rs.getInt("department_id"));
				d.setDepartmentName(rs.getString("department_name"));
				d.setLocationId(rs.getInt("location_id"));
				list.add(d);
			}
		}catch(Exception e) {
			e.printStackTrace();
		}finally {
			JdbcUtil.closeResource(ps, conn, null);
		}

		return list;
	}

	@Override
	public void insertDept(Departments dept) {
		Connection conn=null;
		PreparedStatement ps = null;
		try {
			conn = JdbcUtil.getConnection();
			conn.setAutoCommit(false);
			ps = conn.prepareStatement("insert into departments values(default,?,?)");
			ps.setString(1, dept.getDepartmentName());
			ps.setInt(2, dept.getDepartmentId());
			ps.execute();
			conn.commit();
		}catch(Exception e) {
			e.printStackTrace();
			JdbcUtil.rollback(conn);
		}finally {
			JdbcUtil.closeResource(ps, conn, null);
		}

	}

}
